Subject: Re: [PATCH net 1/3] taprio: Fix kernel panic in taprio_destroy

From: Vinicius Costa Gomes <[email-masked]>
Date: Wed, 28 Aug 2019 10:38:58 -0700

Vladimir Oltean <[email-masked]> writes:

>> Personally, I would do things differently, I am thinking: adding the
>> taprio instance earlier to the list in taprio_init(), and keeping
>> taprio_destroy() the way it is now. But take this more as a suggestion
>> :-)
>>
>
> While I don't strongly oppose your proposal (keep the list removal
> unconditional, but match it better in placement to the list addition),
> I think it's rather fragile and I do see this bug recurring in the
> future. Anyway if you want to keep it "simpler" I can respin it like
> that.
>

I am thinking that keeping things "simpler" has the advantage of making
any bugs really loud and hopefully easier to catch.

Cheers,
--
Vinicius